Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1114258 - PRD35 - [RFE] vdsm-tool: replace libvirt-configure.sh with python code
Summary: PRD35 - [RFE] vdsm-tool: replace libvirt-configure.sh with python code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Mooli Tayer
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On: 1084770
Blocks: 1069636 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-29 09:19 UTC by Oved Ourfali
Modified: 2016-02-10 19:15 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1084770
Environment:
Last Closed: 2015-02-11 21:12:00 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0159 normal SHIPPED_LIVE vdsm 3.5.0 - bug fix and enhancement update 2015-02-12 01:35:58 UTC
oVirt gerrit 27129 None None None Never
oVirt gerrit 27298 None None None Never

Description Oved Ourfali 2014-06-29 09:19:05 UTC
+++ This bug was initially created as a clone of Bug #1084770 +++

Description of problem:
currently vdsm-tool uses a bash script for it's libvirt operations.
the aim is to replace it with python code and only call the vdsm-tool
for installing operations from the spec file.

Version-Release number of selected component (if applicable):
4.14.6

Comment 1 Petr Beňas 2014-08-07 16:38:20 UTC
[root@dell-r210ii-16 yum.repos.d]# vdsm-tool is-configured
libvirt is already configured for vdsm
[root@dell-r210ii-16 yum.repos.d]# rpm -ql vdsm-python | grep libvirt_configure.sh
[root@dell-r210ii-16 yum.repos.d]# rpm -qa vdsm-python
vdsm-python-4.16.1-6.gita4a4614.el6.x86_64

Comment 4 errata-xmlrpc 2015-02-11 21:12:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0159.html


Note You need to log in before you can comment on or make changes to this bug.